IdUniquenessPolicyValue (Java Platform SE 8 )
Keywords: org.omg.PortableServer.IdUniquenessPolicyValue class
Date: 2018-07-01

org.omg.PortableServer

## Class IdUniquenessPolicyValue

- java.lang.Object
- - org.omg.PortableServer.IdUniquenessPolicyValue

- All Implemented Interfaces:
    Serializable, IDLEntity

      public class IdUniquenessPolicyValue
      extends Object
      implements IDLEntity

  IdUniquenessPolicyValue can have the following values. UNIQUE_ID - Servants activated with that POA support exactly one Object Id. MULTIPLE_ID - a servant activated with that POA may support one or more Object Ids.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `_MULTIPLE_ID`
    `static int` | `_UNIQUE_ID`
    `static IdUniquenessPolicyValue` | `MULTIPLE_ID`
    `static IdUniquenessPolicyValue` | `UNIQUE_ID`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `IdUniquenessPolicyValue(int value)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IdUniquenessPolicyValue` | `from_int(int value)`
    `int` | `value()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _UNIQUE_ID

          public static final int _UNIQUE_ID

      See Also:
        Constant Field Values

    - #### UNIQUE_ID

          public static final IdUniquenessPolicyValue UNIQUE_ID

    - #### _MULTIPLE_ID

          public static final int _MULTIPLE_ID

      See Also:
        Constant Field Values

    - #### MULTIPLE_ID

          public static final IdUniquenessPolicyValue MULTIPLE_ID

  - ### Constructor Detail

    - #### IdUniquenessPolicyValue

          protected IdUniquenessPolicyValue(int value)

  - ### Method Detail

    - #### value

          public int value()

    - #### from_int

          public static IdUniquenessPolicyValue from_int(int value)

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2018, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.